%define module_name	asix
%define module_version	4.1.0
%define module_release alt3

%define flavour        ovz-el
BuildRequires(pre): rpm-build-kernel
BuildRequires(pre): kernel-headers-modules-ovz-el

%setup_kernel_module %flavour

%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel/drivers/usb/net/

Summary: asix kernel module from vendor
Name: kernel-modules-%module_name-%flavour
Version: 1.0.%module_version
Release: %module_release.%kcode.%kbuildrelease
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
Url: http://asix.com.tw
Patch1: asix-build-kernel3.2.patch
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kepoch%kversion-%krelease
BuildRequires: kernel-headers-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides: kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: kernel-image-%flavour = %kepoch%kversion-%krelease

ExclusiveArch: %karch

%description
Kernel modules for ASIX AX8817X based USB 2.0 Ethernet Devices from vendor

%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version
%if "%kversion" >= "3.2"
%patch1 -p1
%endif

%build
%make_build -C /usr/src/linux-%kversion-%flavour-%krelease SUBDIRS=$(pwd) modules

%install
mkdir -p $RPM_BUILD_ROOT/%module_dir
install -p -m644 %module_name.ko $RPM_BUILD_ROOT/%module_dir

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* %(date "+%%a %%b %%d %%Y") %{?package_signer:%package_signer}%{!?package_signer:%packager} %version-%release
- Build for kernel-image-%flavour-%kversion-%krelease.

* Mon Dec 17 2012 Gleb F-Malinovskiy <glebfm@altlinux.org> 1.0.4.1.0-alt3
- new template

* Fri Jan 13 2012 Anton V. Boyarshinov <boyarsh@altlinux.ru> 1.0.4.1.0-alt2
- fix to build with 3.2 kernel

* Mon Jun 06 2011 Anton Protopopov <aspsk@altlinux.org> 1.0.4.1.0-alt1
- Initial build for ALT
